summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2017-06-10 13:40:20 +0200
committerMichał Górny <mgorny@gentoo.org>2017-06-24 07:36:26 +0200
commit6a014f15595971edd3b1cc957bb65c8122a8da02 (patch)
treeea7461c19686996433737e9666a1fe8a52107a93 /net-p2p/airdcpp-webclient/files
parentapp-admin/webapp-config: Removes configparser blocker from 1.55 (diff)
downloadgentoo-6a014f15595971edd3b1cc957bb65c8122a8da02.tar.gz
gentoo-6a014f15595971edd3b1cc957bb65c8122a8da02.tar.bz2
gentoo-6a014f15595971edd3b1cc957bb65c8122a8da02.zip
net-p2p/airdcpp-webclient: bump to 2.1.0, add Python 3.6, minor changes
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'net-p2p/airdcpp-webclient/files')
-rw-r--r--net-p2p/airdcpp-webclient/files/airdcpp-webclient-2.1.0-disable-automagic.patch40
1 files changed, 40 insertions, 0 deletions
diff --git a/net-p2p/airdcpp-webclient/files/airdcpp-webclient-2.1.0-disable-automagic.patch b/net-p2p/airdcpp-webclient/files/airdcpp-webclient-2.1.0-disable-automagic.patch
new file mode 100644
index 00000000000..4e8360e6967
--- /dev/null
+++ b/net-p2p/airdcpp-webclient/files/airdcpp-webclient-2.1.0-disable-automagic.patch
@@ -0,0 +1,40 @@
+commit 8ca829a832db304769ac0d107471ab23d4ce3cce
+Author: Louis Sautier <sautier.louis@gmail.com>
+Date: Wed Jun 21 23:10:03 2017 +0200
+
+ Add options to disable libnatpnp and tbb support
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 4d8a49c7..826fce3b 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -47,6 +47,10 @@ endif()
+
+
+ # OPTIONS
++OPTION(ENABLE_NATPMP "Enable support for the NAT-PMP protocol via libnatpmp"
++ ON)
++OPTION(ENABLE_TBB "Enable support of the TBB library to improve performance"
++ ON)
+
+ # 1.x had a different default value
+ unset(INSTALL_RUNTIME_PATH CACHE)
+@@ -99,12 +103,16 @@ find_package (OpenSSL REQUIRED)
+ find_package (Threads REQUIRED)
+ find_package (Iconv REQUIRED)
+ find_package (Miniupnpc REQUIRED)
+-find_package (LibNatpmp)
++if(ENABLE_NATPMP)
++ find_package (LibNatpmp)
++endif()
+ find_package (Git)
+ find_package (LevelDB REQUIRED)
+ find_package (websocketpp REQUIRED)
+ find_package (Backtrace)
+-find_package (TBB)
++if(ENABLE_TBB)
++ find_package (TBB)
++endif()
+
+ if (NOT BUILD_SHARED_LIBS)
+ # Shared LevelDB libraries are linked against Snappy already